# List XP indices

Endpoint: GET /xpindices
Version: 1.0.450.36533
Security: OAuth2

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.
    Enum: "ThingType", "Key"

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.
    Enum: "ThingType", "Key", "!ThingType", "!Key"

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)
    Example: [{"ThingType":"Address","Key":""}]

  - `Items.ThingType` (string)
    Enum: "Address", "Variant", "Order", "OrderReturn", "LineItem", "CostCenter", "CreditCard", "Payment", "Spec", "SpecOption", "UserGroup", "Company", "Category", "PriceSchedule", "Shipment", "SpendingAccount", "User", "Promotion", "ApprovalRule", "SellerApprovalRule", "Catalog", "ProductFacet", "MessageSender", "InventoryRecord", "ProductCollection", "Subscription", "GroupOrderInvitation", "BuyerGroup", "Discount"

  - `Items.Key` (string)

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: "404"

  - `ErrorCode` (string)
    Example: "NotFoundError"

  - `Message` (string)
    Example: "Object not found"

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}


